// ------------------------ Help & Information page ------------------------
function helpPageCreate()
{
	var p;
	var f, fr;

	p=Page_Create('help', 'glob', "ABOUT");
	f=p.frame;

	if(cfg_fusionUI)
	{
		fr=gui.newFrame(f, 0, 6+27+10, 640, 504, "img/svg/help_bg.svg");
		gui.newLabel(fr, 16+5, 20, 640-16-200-(16+5), 20, '', {font:fontSemiBold(12), color:color.lyellow, align:gui.LEFT}).setText("Axia - Fusion: "+host.getIdentity());

		gui.newLabel(fr, 640-16-200, 20+2, 200, 15, '', {font:fontSemiBold(8), color:color.white, align:gui.RIGHT, valign:gui.MIDDLE}).setText("Version: " + version + ", " + version_date);

		p.list=gui.newList(fr, 65, 60, 510, 500-60, '', prop.list);
		p.clmnVersion=[200, 40, 100, 100, 50];
		p.clmnHidActs=[300, 190];
	}
	else
	{
		fr=gui.newFrame(f, 25, 103, 367, 343, "img/mst_help_bg.png");
		gui.newLabel(fr, 34, 20, 300, 15, '', prop.channel).setText("Axia - Element");
		gui.newLabel(fr, 34, 35, 300, 15, '', prop.channel).setText(host.getIdentity());

		gui.newLabel(fr, 10, 60, 347, 15, '', prop.channel).setText("Version: " + version + ", " + version_date);

		p.list=gui.newList(fr, 30, 80, 310, 240, '', prop.list);
		p.clmnVersion=[100, 20, 70, 70, 30];
		p.clmnHidActs=[140, 80];
	}

	// event functions
	p.onOpen=function(channel_nr)
	{
		var n, lst, parts;
		mod.setMasterKeyLed(keys.MstHelp, 255);

		if(channel_nr===null)
		{
			lst=host.getVerInfo();
			this.list.clear();
			this.list.setColumns(this.clmnVersion);
			this.list.insert("Component\tId\tVersion\t\tConn", 0, 0, 2);
			for(n=0; n<lst.length; n++)
				this.list.insert(lst[n]);
			this.list.select(1);
		}
		else
		{
			this.list.clear();
			this.list.setColumns(this.clmnHidActs);
			this.list.insert("List of hidden pages\thold for 5 seconds", 0, 0, 2);

			this.list.insert("Capture Mode\t[*]+[2]");
			this.list.insert("Test Mode\t[*]+[2]+[#]");
			this.list.insert("Help Screen\t[*]+[#]");
			this.list.insert("IP Options\t[*]+[4]+[7]");
			this.list.insert("IP Options\t[Fader Options]");
			this.list.insert("Clock / Timer Options\t[Timer Options]");
		}
	};
	p.onClose=function()
	{
		mod.setMasterKeyLed(keys.MstHelp, 0);
	};
	p.onRotaryJog=function(delta) {this.list.advance(delta);};
	p.onUpDn=function(delta) {this.list.advance(delta);};
}

