// -------------------- main page ----------------
const tmCtrlMode=
{
	monitor: 0,
	updown:  1,
	up:      2,
	down:    3
};

var gui_time={};

function create_time_ctrl(p)
{
	var obj={};

	if(cfg_fusionUI)
	{
		if(host.cfgGetString('scr.clockAnalog', 'yes')=='yes')
		{
		// Date //TODO on fusion date is outside main frame, move code elsewhere as well
			obj.date=gui.newFrame(gui_frames.indt, 0, 34, 312, 77, "img/svg/clocks_related_bg.svg");
			obj.date.weekday=gui.newLabel(obj.date, 8, 14, 312-2*8, 28, '', style.weekday);
			obj.date.date   =gui.newLabel(obj.date, 8, 43, 312-2*8, 26, '', style.date);

		// Time
			obj.time=gui.newFrame(gui_frames.indt, 640-312, 34, 312, 77, "img/svg/clocks_related_bg.svg"); //TODO on fusion digital time is outside main frame, move code elsewhere as well
			obj.time.time=gui.newLabel(obj.time, 65, 21, 150, 32, '', style.time);
			obj.time.AmPm=gui.newLabel(obj.time, 65+150+8, 36, 30, 20, '', style.ampm);
			obj.time.ntp =gui.newPicture(obj.time, 8, 77-8-14, 54, 14, "img/svg/ntp_on.svg");

		// Analog Clock
			obj.clock=gui.newClock(p.frame, 640/2-436/2, 9, 436, 436, "img/svg/clock.svg");
		}
		else
		{
		// Date //TODO on fusion date is outside main frame, move code elsewhere as well
			obj.date=gui.newFrame(gui_frames.indt, 0, 34, 640, 77, "img/svg/date_bg_big.svg");
			obj.date.weekday=gui.newLabel(obj.date, 8+164, 14, 312-2*8, 28, '', style.weekday);
			obj.date.date   =gui.newLabel(obj.date, 8+164, 43, 312-2*8, 26, '', style.date);

			obj.time=gui.newFrame(p.frame, 0, 270, 640, 120, "img/svg/aux_sends_bg.svg");

			obj.time.time=gui.newLabel(obj.time, 150, 25, 330, 70, '', style.time_big);
			obj.time.AmPm=gui.newLabel(obj.time, 490, 72, 50, 30, '', style.ampm_big);
			obj.time.ntp =gui.newFrame(obj.time, 560, 10, 54, 14, "img/svg/ntp_on.svg");

		// Analog Clock
			obj.clock=gui.newClock(p.frame, 640/2-256/2, 10, 256, 256, "img/svg/clock-sm.svg");
		}
		obj.time.setTime=function(hh, mm, ss, ampm)
		{
			this.time.setText(host.sprintf("%d:%02d:%02d", hh, mm, ss));
			this.AmPm.setText(ampm);
		};
		obj.date.weekdayTxt=["SUNDAY", "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY"];
		obj.clock.setStyle(1);

		obj.destroy=function()
		{
			this.date.destroy();
			this.time.destroy();
			this.clock.destroy();
		}
	}
	else
	{
	// Date
		obj.date=gui.newFrame(p.frame, 30, 43, 187,  49, "img/dk_frm_blue.png");
		obj.date.weekday=gui.newLabel(obj.date, 29,  3, 130, 20, '', style.date);
		obj.date.date   =gui.newLabel(obj.date, 29, 23, 130, 20, '', style.date);

	// Clock
		if(host.cfgGetString('scr.clockAnalog', 'yes')=='yes')
		{
		// Axia Logo
		// TODO: Normally y should be 17, dimensions: 114x39, but we don't have normal ClipSibling support
		//       Then p.clock should have bgfrm as parent, and position of 81, 12
			obj.logo=gui.newFrame(p.bgfrm,   2,  12, 342,  263, "img/axia.png");

		// Time
			obj.time=gui.newFrame(p.frame, 224, 43, 187,  49, "img/dk_frm_blue.png");
			obj.time.time=gui.newLabel(obj.time,  25,  3, 123, 25, '', style.time);
			obj.time.AmPm=gui.newLabel(obj.time,  50, 30,  20, 15, '', style.ampm);
			obj.time.ntp =gui.newFrame(obj.time, 100, 33,  28, 8, "img/dk_ntp.png");

		// Analog Clock
			obj.clock=gui.newClock(obj.logo, 79,  0, 263, 263, "img/dk_eclk.png");
		}
		else
		{
		// Axia Logo
			obj.logo=gui.newFrame(p.bgfrm,  16, 230, 114,  39, "img/axia.png");
		// Element logo
			obj.elogo=gui.newPicture(p.frame, 264, 51, 106, 33, "img/element.png");

		// Time
			obj.time=gui.newFrame(p.bgfrm, 32, 30, 361, 92, "img/frm_digi_clk.png");
			obj.time.time=gui.newLabel(obj.time,  20,  8, 300, 53, '', style.time_big),
			obj.time.AmPm=gui.newLabel(obj.time, 105, 64,  30, 18, '', style.ampm_big)
			obj.time.ntp =gui.newFrame(obj.time, 230, 64,  28,  8, "img/dk_ntp.png")

		// Analog Clock
			obj.clock =gui.newClock(p.bgfrm, 138, 130, 150, 150, "img/dk_eclk_sml.png");
		}
		obj.time.setTime=function(hh, mm, ss, ampm)
		{
			this.time.setText(host.sprintf("%d : %02d : %02d", hh, mm, ss));
			this.AmPm.setText(ampm);
		};
		obj.date.weekdayTxt=["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"];

		obj.destroy=function()
		{
			this.date.destroy();
			this.time.destroy();
			this.clock.destroy();
			this.logo.destroy();
			if('elogo' in this) this.elogo.destroy();
		}
	}

	obj.date.od=-1;
	obj.date.om=-1;
	obj.date.oy=-1;
	obj.date.setDate=function(date, month, year, day)
	{
		if(this.od==date && this.om==month && this.oy==year) return;
		this.od=date;
		this.om=month;
		this.oy=year;

		this.date.setText(monthTxt[month]+" "+date+", "+year);
		this.weekday.setText(this.weekdayTxt[day]);
	};

	obj.time.ntp.hide();

	return obj;
}

function mainPageCreate()
{
	var p, i;

	p=Page_Create('main', 'main', "");

	if(cfg_fusionUI)
	{
		gui_time=create_time_ctrl(p);

	// Down Timer
		p.dnoutfr=gui.newFrame(p.frame, 0, 560-112-3, 312, 77+25, ""); //Downtimer Outer Frame
		p.dnoutfr.label=gui.newLabel(p.dnoutfr, 0, 0, 157, 22, '', style.lmain_lt);
		p.dnoutfr.label.setText("Count Down Timer");
		p.dnfrm=gui.newFrame(p.dnoutfr,  0, 25, 312,  77, "img/svg/clocks_related_bg.svg");
		p.arrow=gui.newFrame(p.dnfrm, 312-16-8-3, 8+3, 16, 14, "img/svg/arrow_down.svg");
		createDownTimer(p.dnfrm, 75, 8);

	// Up Timer
		p.upoutfr=gui.newFrame(p.frame, 640-312, 560-112-3, 312, 77+25, ""); //Count Up Timer Outer Frame
		p.upoutfr.label=gui.newLabel(p.upoutfr, 312-136, 0, 136, 22, '', style.lmain_rt);
		p.upoutfr.label.setText("Count Up Timer");
		p.upfrm=gui.newFrame(p.upoutfr,  0, 25, 312,  77, "img/svg/clocks_related_bg.svg");
		p.arrow=gui.newFrame(p.upfrm, 312-8-16-3, 8+3, 16, 14, "img/svg/arrow_up.svg");
		createUpTimer(p.upfrm, 75, 8);
	}
	else
	{
		p.bgfrm=gui.newFrame(p.frame, 8, 108, 427, 286, "img/dk_frm_clock.png");
		gui_time=create_time_ctrl(p);

	// Down Timer
		p.dnlbl=gui.newLabel(p.frame, 29, 402, 187, 15, '', style.tmup_lbl);
		p.dnlbl.setText("COUNT DOWN EVENT TIMER");
		p.dnfrm=gui.newFrame(p.frame, 29, 417, 187, 49, "img/dk_frm_red.png");
		p.dnfrm.arrow=gui.newFrame(p.dnfrm, 8, 18, 12, 14, "img/down.png");
		createDownTimer(p.dnfrm, 20, 4);
	// Up Timer
		p.uplbl=gui.newLabel(p.frame, 224, 402, 187, 15, '', style.tmup_lbl);
		p.uplbl.setText("COUNT UP TIMER");
		p.upfrm=gui.newFrame(p.frame, 224, 417, 187, 49, "img/dk_frm_blue.png");
		p.upfrm.arrow=gui.newFrame(p.upfrm, 8, 18, 12, 14, "img/up.png");
		createUpTimer(p.upfrm, 20, 4);
	}

// launch separate thread for clock update
	host.setTimeout(100, clockUpdate, null);

// create NTP label
	gui_time.time.ntp.hide();
	host.sendNestCmsg('mCONF', {id:"READ", bNTPO:0, bNTPA:0, bNTPT:0}); // Request for Config migration

// monitor volume correspondence table
	for(i=0; i<=1000; i++) mon_vol_idx_to_db[i]=monIdxToDb(i);
	for(i=mon_const.gain_min; i<=mon_const.gain_max; i++)	mon_vol_db_to_idx[i]=monDbToIdx(i);

// FIXME!
	p.monPoped=tmCtrlMode.monitor;
	p.timer_ctrl=tmCtrlMode.monitor;
	p.sknob2_angl=0;
	p.last_time=0;

// softknobs
	p.sknobs6=
	[
		{enabled:true, push: "START\nSTOP"},
		{enabled:true, rot : "BEGIN\nTIME", push: "RESET"},
		{enabled:true, push: "FREEZE"},
		{enabled:true, push: "START\nSTOP"},
		{enabled:true, rot : "TIMER\nMODE", push: "RESET"},
		{enabled:true, push: "FREEZE"}
	];
	p.sknobs3dn=
	[
		{enabled:true, push: "START\nSTOP"},
		{enabled:true, rot : "BEGIN\nTIME", push: "RESET"},
		{enabled:true, push: "FREEZE"}
	];
	p.sknobs3up=
	[
		{enabled: true, push: "START\nSTOP"},
		{enabled: true, rot : "TIMER\nMODE", push: "RESET"},
		{enabled: true, push: "FREEZE"}
	];
	p.sknobs6.title=["COUNT DOWN TIMER", "COUNT UP TIMER"];
	p.sknobs3dn.title="COUNT DOWN TIMER";
	p.sknobs3up.title="COUNT UP TIMER";

	p.onOpen=function(channel_nr)
	{
	// deselect blocks in ch opt page when back to main
		if('chopt' in pages) pages.chopt.setFocus(-1);
	};
	p.onClose=function()
	{
		this.showTimerCtrl(tmCtrlMode.monitor);
		this.monPoped=tmCtrlMode.monitor;
		if(this.monCtrTO) this.monCtrTO=host.clearTimeout(this.monCtrTO);
	};
	p.showTimerCtrl=function(mode)
	{
		if(mode==tmCtrlMode.monitor)
		{
			sknobsHide();
			mod.setMasterKeyLed(keys.MstTimerOpt, 0);
			mod.setMasterKeyLed(keys.CmbTimerOpt, 0);
		}
		else
		{
			if(mode==tmCtrlMode.updown)
			{
				sknobsShow(this.sknobs6);
				sknobsSetOne(1, {angle: this.sknob2_angl*15});
				sknobsSetOne(4, {angleNrm: timer_mode/2});
			}
			else if(mode==tmCtrlMode.up)
			{
				sknobsShow(this.sknobs3up);
				sknobsSetOne(7, {angleNrm: timer_mode/2});
			}
			else if(mode==tmCtrlMode.down)
			{
				sknobsShow(this.sknobs3dn);
				sknobsSetOne(7, {angle: this.sknob2_angl*15});
			}
			mod.setMasterKeyLed(keys.MstTimerOpt, 255);
			mod.setMasterKeyLed(keys.CmbTimerOpt, 255);
		}
		this.timer_ctrl=mode;
	};
	p.onSoftKnobRot=function(idx, delta)
	{
		if(this.timer_ctrl==tmCtrlMode.monitor) return;

		if(idx>=7 && idx<=9)
		{
			if(this.timer_ctrl==tmCtrlMode.up)
				idx-=3;
			else if(this.timer_ctrl==tmCtrlMode.down)
				idx-=6;
			else
				return;
		}

		switch(idx)
		{
		case 2:
			var now=host.getms();
			var dtime=clamp(now-this.last_time, 1, 300);
			this.last_time=now;

			cfg_countdownfrom=clamp(cfg_countdownfrom+Math.floor(delta*300/dtime)*1000, 0, timerMaxValue);
			dnTimerObj.setFromValue(cfg_countdownfrom);

			this.sknob2_angl=(this.sknob2_angl+delta)%24;
			sknobsSetOne(1, {angle:this.sknob2_angl*15});
			if(this.timer_ctrl==tmCtrlMode.down)
				sknobsSetOne(7, {angle:this.sknob2_angl*15});
			break;
		case 5:
			host.sendCmsg({id:"WRIN", bTMRM: clamp(timer_mode+delta, 0, 2)});
			break;
		}
	};
	p.onSoftKnobDown=function(idx)
	{
		if(this.timer_ctrl==tmCtrlMode.monitor) return;

		if(idx>=7 && idx<=9)
		{
			if(this.timer_ctrl==tmCtrlMode.up)
				idx-=3;
			else if(this.timer_ctrl==tmCtrlMode.down)
				idx-=6;
			else
				return;
		}

		switch(idx)
		{
		case 1:
			dnTimerObj.toggleStart();
			break;
		case 2:
			dnTimerObj.reset();
			break;
		case 3:
			dnTimerObj.freeze();
			break;
		case 4:
			upTimerObj.toggleStart();
			break;
		case 5:
			upTimerObj.reset();
			break;
		case 6:
			upTimerObj.freeze();
			break;
		}
	};
	p.onSoftKnobUp=function(idx)
	{
		if(this.timer_ctrl==tmCtrlMode.monitor) return;

		if(idx>=7 && idx<=9)
		{
			if(this.timer_ctrl==tmCtrlMode.up)
				idx-=3;
			else if(this.timer_ctrl==tmCtrlMode.down)
				idx-=6;
			else
				return;
		}

		switch(idx)
		{
		case 3:
			dnTimerObj.unfreeze();
			break;
		case 6:
			upTimerObj.unfreeze();
			break;
		}
	};

	// shows mon controls for 3 sec.
	p.monCtrTO=null;
	p.popMonCtr=function()
	{
		if(cfg_fusionUI) return; // Fusion Don't need that, monitor fields are visible at all time
		if(this.timer_ctrl==tmCtrlMode.monitor) return;

		if(this.monPoped==tmCtrlMode.monitor)
		{
			this.monPoped=this.timer_ctrl;
			this.showTimerCtrl(tmCtrlMode.monitor);
		}

		this.monCtrTO=host.resetTimeout(this.monCtrTO, 3000, this.hideMonCtr, this);
	};
	p.hideMonCtr=function()
	{
		this.monCtrTO=null;
		if(this.monPoped!=tmCtrlMode.monitor && this.timer_ctrl==tmCtrlMode.monitor)
			this.showTimerCtrl(this.monPoped);
		this.monPoped=tmCtrlMode.monitor;
	};
	p.updateTimerMode=function()
	{
		if(page_active!=this) return;
		if(this.timer_ctrl==tmCtrlMode.updown)
			sknobsSetOne(4, {angleNrm: timer_mode/2});
		else if(this.timer_ctrl==tmCtrlMode.up)
			sknobsSetOne(7, {angleNrm: timer_mode/2});
	};
}
function mainShowTimerCtrl(combo)
{
	var p=pages.main;
	var newmode;

	if(page_active!=p) activatePage(p, null);

	switch(p.timer_ctrl)
	{
	case tmCtrlMode.monitor:
		newmode=combo?tmCtrlMode.up:tmCtrlMode.updown;
		break;
	case tmCtrlMode.updown:
		newmode=tmCtrlMode.monitor;
		break;
	case tmCtrlMode.up:
		newmode=combo?tmCtrlMode.down:tmCtrlMode.monitor;
		break;
	case tmCtrlMode.down:
	default:
		newmode=tmCtrlMode.monitor;
		break;
	}
	p.showTimerCtrl(newmode);
	p.monPoped=tmCtrlMode.monitor;
}
