// ------------------------ global timer page ------------------------
function timerPageCreate()
{
	var p;
	var f, fr;

	p=Page_Create('timer', 'glob', "CLOCK / TIMER");
	f=p.frame;

// labels
	p.labels=
	[
		"SET TIME OF DAY",
		"SET CALENDAR DATE",
		"NTP ON/OFF",
		"12/24 HOUR FORMAT",
		"TIME ZONE GMT +",
		"COUNTDOWN FROM",
		"SHOW TENTHS ON:"
	];

// timer configuration menu
	if(cfg_fusionUI)
	{
		fr=gui.newFrame(f, 0, 6+15+3+15+3+1, 640, 504, "img/svg/help_bg.svg");
		gui.newFrame(fr, 620-20-10, 10, 20, 20, "img/svg/icon_timer.svg");
	}
	else
		fr=gui.newFrame(f, 32, 103, 353, 329, "img/mst_timer_bg.png");

	p.item=[];
	p.itemVal=[];
	p.itemLabel=[];
	p.itemRow=[0,0,0,1,1,1,2,3,4,4,5,5,6];
	var y_time=78, y_step=32, label_x=20, row=0, item=0;
	const x=50, dx=20;

	if(cfg_fusionUI)
	{
		p.itemLabel[row++] = gui.newLabel(fr, label_x, y_time, 140+x, 15, '', prop.value9_left);
		p.item[item++] = gui.newLabel(fr, 180+x, y_time, 20, 15, '', prop.value9_left);
		var lbl=gui.newLabel(fr, 180+20+x, y_time, 10, 15, '', prop.value9);
		lbl.setText(":");
		p.item[item++] = gui.newLabel(fr, 180+20+10+x, y_time, 20, 15, '', prop.value9_left);
		lbl=gui.newLabel(fr, 180+20+10+20+x, y_time, 10, 15, '', prop.value9);
		lbl.setText(":");
		p.item[item++] = gui.newLabel(fr, 180+20+10+20+10+x, y_time, 25, 15, '', prop.value9_left);

		y_time += y_step;
		p.itemLabel[row++] = gui.newLabel(fr, label_x, y_time, 140+x, 15, '', prop.value9_left);
		p.item[item++] = gui.newLabel(fr, 180+x, y_time, 25, 15, '', prop.value9_left);
		p.item[item++] = gui.newLabel(fr, 180+x+25+5, y_time, 60+dx, 15, '', prop.value9_left);
		p.item[item++] = gui.newLabel(fr, 180+x+25+5+60+dx+5, y_time, 30+dx, 15, '', prop.value9_left);

		y_time += y_step;
		p.itemLabel[row++] = gui.newLabel(fr, label_x, y_time, 140+x, 15, '', prop.value9_left);
		p.item[item++] = gui.newLabel(fr, 180+x, y_time, 30, 15, '', prop.value9_left);

		y_time += y_step;
		p.itemLabel[row++] = gui.newLabel(fr, label_x, y_time, 140+x, 15, '', prop.value9_left);
		p.item[item++] = gui.newLabel(fr, 180+x, y_time, 50+20, 15, '', prop.value9_left);

		y_time += y_step;
		p.itemLabel[row++] = gui.newLabel(fr, label_x, y_time, 140+x, 15, '', prop.value9_left);
		p.item[item++] = gui.newLabel(fr, 180+x, y_time, 75, 15, '', prop.value9_left);
		p.item[item++] = gui.newLabel(fr, 180+x+75+5, y_time, 45, 15, '', prop.value9_left);

		y_time += y_step;
		p.itemLabel[row++] = gui.newLabel(fr, label_x, y_time, 140+x, 15, '', prop.value9_left);
		p.item[item++] = gui.newLabel(fr, 180+x, y_time, 30, 15, '', prop.value9_left);
		p.item[item++] = gui.newLabel(fr, 180+x+30+5, y_time, 30, 15, '', prop.value9_left);

		y_time += y_step;
		p.itemLabel[row++] = gui.newLabel(fr, label_x, y_time, 140+x, 15, '', prop.value9_left);
		p.item[item++] = gui.newLabel(fr, 180+x, y_time, 80+dx, 15, '', prop.value9_left);

		p.styleLabelActive={color:color.lyellow};
		p.styleLabelNormal={color:color.white};
		p.styleItemNormal={color:color.white, bgcolor:0};
		p.styleItemActive={color:color.lyellow, bgcolor:color.lgray};
		p.styleItemEdited={color:color.red, bgcolor:color.lgray};
	}
	else
	{
		p.itemLabel[row++] = gui.newLabel(fr, label_x, y_time, 140, 15, '', prop.value9_left);
		p.item[item++] = gui.newLabel(fr, 180, y_time, 30, 15, '', prop.value9);
		p.item[item++] = gui.newLabel(fr, 225, y_time, 30, 15, '', prop.value9);
		p.item[item++] = gui.newLabel(fr, 280, y_time, 30, 15, '', prop.value9);

		y_time += y_step;
		p.itemLabel[row++] = gui.newLabel(fr, label_x, y_time, 140, 15, '', prop.value9_left);
		p.item[item++] = gui.newLabel(fr, 180, y_time, 30, 15, '', prop.value9);
		p.item[item++] = gui.newLabel(fr, 210, y_time, 60, 15, '', prop.value9);
		p.item[item++] = gui.newLabel(fr, 280, y_time, 30, 15, '', prop.value9);

		y_time += y_step;
		p.itemLabel[row++] = gui.newLabel(fr, label_x, y_time, 140, 15, '', prop.value9_left);
		p.item[item++] = gui.newLabel(fr, 285, y_time, 30, 15, '', prop.value9);

		y_time += y_step;
		p.itemLabel[row++] = gui.newLabel(fr, label_x, y_time, 140, 15, '', prop.value9_left);
		p.item[item++] = gui.newLabel(fr, 260, y_time, 50, 15, '', prop.value9);

		y_time += y_step;
		p.itemLabel[row++] = gui.newLabel(fr, label_x, y_time, 140, 15, '', prop.value9_left);
		p.item[item++] = gui.newLabel(fr, 180, y_time, 100, 15, '', prop.value9_right);
		p.item[item++] = gui.newLabel(fr, 290, y_time, 20, 15, '', prop.value9_right);

		y_time += y_step;
		p.itemLabel[row++] = gui.newLabel(fr, label_x, y_time, 140, 15, '', prop.value9_left);
		p.item[item++] = gui.newLabel(fr, 225, y_time, 30, 15, '', prop.value9);
		p.item[item++] = gui.newLabel(fr, 280, y_time, 30, 15, '', prop.value9);

		y_time += y_step;
		p.itemLabel[row++] = gui.newLabel(fr, label_x, y_time, 140, 15, '', prop.value9_left);
		p.item[item++] = gui.newLabel(fr, 240, y_time, 70, 15, '', prop.value9);

		p.styleLabelActive={color:color.yellow};
		p.styleLabelNormal={color:color.ltblue};
		p.styleItemNormal={color:color.ltblue, bgcolor:color.dblue};
		p.styleItemActive={color:color.yellow, bgcolor:color.dblue};
		p.styleItemEdited={color:color.dblue, bgcolor:color.yellow};
	}

	p.itemCount = item;
	p.curItem = -1;
	p.editMode = false;

// softknobs
	p.sknobs6=
	[
		{enabled: true, rot: "SELECT", push: "SET"},
		{enabled: true, push: "SAVE"},
		{enabled: false},
		{enabled: false},
		{enabled: false},
		{enabled: true, push: "EXIT"}
	];
	p.sknobs3=
	[
		{enabled: true, rot: "SELECT", push: "SET"},
		{enabled: true, push: "SAVE"},
		{enabled: true, push: "EXIT"}
	];

// event functions
	p.onOpen=function(channel_nr)
	{
	// Indications
		mod.setMasterKeyLed(keys.MstTimerOpt, 255);
		mod.setMasterKeyLed(keys.CmbTimerOpt, 255);

		sknobsShow(mod.comboPresent()?this.sknobs3:this.sknobs6);
		sknobsSetOne(0, {angleNrm:0});
		sknobsSetOne(6, {angleNrm:0});

		this.readValues();
		this.updateDisp();
	}
	p.onClose=function()
	{
		sknobsHide();
		mod.setMasterKeyLed(keys.MstTimerOpt, 0);
		mod.setMasterKeyLed(keys.CmbTimerOpt, 0);
	}
	p.onSoftKnobRot=function(idx, delta)
	{
		switch(idx)
		{
		case 1:
		case 7:
			if(this.editMode)
				this.changeItem(delta);
			else
			{
				this.setCurrent(delta);
				sknobsSetOne(0, {angleNrm:this.curItem/(this.itemCount-1)});
				sknobsSetOne(6, {angleNrm:this.curItem/(this.itemCount-1)});
			}
			break;
		}
	}
	p.onSoftKnobDown=function(idx)
	{
		switch(idx)
		{
		case 1:
		case 7:
			this.select();
			break;
		case 2:
		case 8:
			this.saveValues();
			this.readValues();
			this.updateDisp();
			break;
		}
	}
	p.onSoftKnobUp=function(idx)
	{
		switch(idx)
		{
		case 6:
		case 9:
			closePage(this, null);
			break;
		}
	}
	//aditional functions
	p.readValues = function()
	{
		var d=new Date();
		this.itemVal[0] = d.getHours();
		this.itemVal[1] = d.getMinutes();
		this.itemVal[2] = d.getSeconds();

		this.itemVal[3] = d.getDate();
		this.itemVal[4] = d.getMonth();
		this.itemVal[5] = d.getFullYear();

		this.itemVal[7] = cfg_clock24hour;

		this.itemVal[10] = Math.floor(cfg_countdownfrom / 60000);
		this.itemVal[11] = Math.floor((cfg_countdownfrom % 60000) / 1000);

		this.itemVal[12] = timer_tenth_mode;

		//reading ntp on and timezone
		this.itemVal[6] = host.cfgGetInteger("ntp.enabled",0);
		var tz_offset=host.cfgGetInteger("tz.offset", 0);
		this.itemVal[8] = this.getTimezoneIdx(tz_offset, 0); // hours;
		this.itemVal[9] = this.getTimezoneIdx(tz_offset, 1); // minutes

		for(var n = 0; n < this.labels.length; n++)
			this.itemLabel[n].setText(this.labels[n]);
	// FIXME: do this right way! this is just a hack to check if config have current value
		if(host.cfgGetInteger('scr.countdownFrom', cfg_countdownfrom)!=cfg_countdownfrom)
			this.itemLabel[5].setText(this.labels[5] + " *");
	}
	p.saveValues=function()
	{
	// day, month, year, hours, minutes, seconds
		host.setDate(this.itemVal[3], this.itemVal[4]+1, this.itemVal[5], this.itemVal[0], this.itemVal[1], this.itemVal[2]);
		lwEventTimeChange(); // Send Time/Date changed event

		cfg_clock24hour=this.itemVal[7];
		host.cfgSetString('scr.clock24hour', cfg_clock24hour?'yes':'no');

		cfg_countdownfrom=clamp(this.itemVal[10]*60000+this.itemVal[11]*1000, 0, timerMaxValue);
		host.cfgSetInteger('scr.countdownFrom', cfg_countdownfrom);
		dnTimerObj.setFromValue(cfg_countdownfrom);

	// ntp on and timezone
		var tz_offset=timezone_val_h[this.itemVal[8]];
		if(tz_offset<0)
			tz_offset-=timezone_val_m[this.itemVal[9]];
		else
			tz_offset+=timezone_val_m[this.itemVal[9]];
		host.cfgSetInteger("ntp.enabled", this.itemVal[6]);
		host.cfgSetInteger("tz.offset", tz_offset);

	// timer tenth
		timer_tenth_mode=this.itemVal[12];
		host.sendCmsg({id:"WRIN", bTMRT: timer_tenth_mode});
		upTimerObj.updateTMRT();
		dnTimerObj.updateTMRT();
	}
	p.updateDisp = function()
	{
		this.item[0].setText(host.sprintf("%02u", this.itemVal[0]));
		this.item[1].setText(host.sprintf("%02u", this.itemVal[1]));
		this.item[2].setText(host.sprintf("%02u", this.itemVal[2]));
		this.item[3].setText(host.sprintf("%02u", this.itemVal[3]));
		this.item[4].setText(monthTxt[this.itemVal[4]]);
		this.item[5].setText(this.itemVal[5]);
		this.item[6].setText((this.itemVal[6] == 1 ? "ON" : "OFF"));
		this.item[7].setText((this.itemVal[7] ? "24 HOUR" : "12 HOUR"));
		this.item[8].setText(timezone_txt_h[this.itemVal[8]]);
		this.item[9].setText(timezone_txt_m[this.itemVal[9]]);
		this.item[10].setText(host.sprintf("%02u", this.itemVal[10]));
		this.item[11].setText(host.sprintf("%02u", this.itemVal[11]));
		switch (this.itemVal[12]){
			case 0: this.item[12].setText("NO TIMERS"); break;
			case 1: this.item[12].setText("DOWN TIMER"); break;
			case 2: this.item[12].setText("UP TIMER"); break;
			case 3: this.item[12].setText("BOTH TIMERS"); break;
		}
	}
	p.setCurrent = function (delta)
	{
	// deselect
		if (this.curItem != -1){
			this.itemLabel[this.itemRow[this.curItem]].setProps(this.styleLabelNormal);
			this.item[this.curItem].setProps(this.styleItemNormal);
		}

	// calculate
		if (this.curItem == -1){
			this.curItem = 0;
		}else{
			this.curItem += delta;
			if (this.curItem < 0)
				this.curItem = 0;
			else if (this.curItem >= this.itemCount)
				this.curItem = this.itemCount - 1;
		}

	// select
		if(this.curItem!=-1)
		{
			this.itemLabel[this.itemRow[this.curItem]].setProps(this.styleLabelActive);
			this.item[this.curItem].setProps(this.styleItemActive);
		}
	}
	p.select=function()
	{
		if(this.curItem!=-1)
		{
			this.editMode=!this.editMode;
			this.item[this.curItem].setProps(this.editMode?this.styleItemEdited:this.styleItemActive);
		}
	}
	p.changeItem = function (delta)
	{
		if (this.curItem == -1) return;

		switch(this.curItem){
		case 0:	//edit hours
			this.itemVal[0] = clamp(this.itemVal[0] + delta, 0, 23);
			break;
		case 1:	//edit min
			this.itemVal[1] = clamp(this.itemVal[1] + delta, 0, 59);
			break;
		case 2:	//edit sec
			this.itemVal[2] = clamp(this.itemVal[2] + delta, 0, 59);
			break;
		case 3:	//edit day
			this.itemVal[3] = clamp(this.itemVal[3] + delta, 1, monthDays[this.itemVal[4]]);
			break;
		case 4:	//edit month
			this.itemVal[4] = clamp(this.itemVal[4] + delta, 0, 11);
			break;
		case 5:	//edit month
			this.itemVal[5] = clamp(this.itemVal[5] + delta, 1990, 2030);
			break;
		case 6:	//edit NTP ON/OFF
			this.itemVal[6] = (delta > 0 ? 1 : 0);
			break;
		case 7:	//edit clock24h
			this.itemVal[7] = (delta > 0 ? true : false);
			break;
		case 8:	//edit timezone hours
			this.itemVal[8] = clamp(this.itemVal[8] + delta, 0, timezone_val_h.length - 1);
			break;
		case 9:	//edit timezone minutes
			this.itemVal[9] = clamp(this.itemVal[9] + delta, 0, timezone_val_m.length - 1);
			break;
		case 10:	//edit countdown min
			this.itemVal[10] = clamp(this.itemVal[10] + delta, 0, 999);;
			break;
		case 11: //edit countdown sec
			this.itemVal[11] = clamp(this.itemVal[11] + delta, 0, 59);
			break;
		case 12: //edit timer tenth
			this.itemVal[12] = clamp(this.itemVal[12] + delta, 0, 3);
			break;
		}
		this.updateDisp();

		var row = this.itemRow[this.curItem];
		this.itemLabel[row].setText(this.labels[row] + " *");
	}

	p.getTimezoneIdx = function(val, h_m)
	{
		var l, i, cur_h, cur_m;
		if (val > 0){
				cur_h = Math.floor(val/60)*60;
				cur_m = val - Math.floor(val/60)*60;
		}else{
				cur_h = Math.ceil(val/60)*60;
				cur_m = Math.abs(val - Math.ceil(val/60)*60);
		}
		if (h_m == 0){
			l = timezone_val_h.length;
			for (i=0; i<l; i++)
				if (timezone_val_h[i] == cur_h)
					return i;
		}else{
			l = timezone_val_m.length;
			for (i=0; i<l; i++)
				if (timezone_val_m[i] == cur_m)
			return i;
		}
		return 0;
	}
}
